﻿@model PreferencesViewModel

@{
    ViewBag.Title = "Preferences";
    ViewBag.IsRegistrantReport = true;
    ViewBag.CurrentUserName= Model.CurrentUserName;
}

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="title-page">
                <h1>
                    Preferences
                </h1>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="box-preferences line-dotted" id="usernameDisplay">
                <h6>Email login</h6>
                <span>@Model.CurrentUserName</span>
                <a href="javascript: editsection('username');">Change</a>
            </div>
            <div id="usernameContent">
                <div class="wrapper">
                    <div id="wrapper-title">
                        <span>
                            Change email login
                        </span>
                    </div>
                    @Html.Partial("_ChangeEmail", Model.ChangeEmail)
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="box-preferences" id="passwordDisplay">
                <h6>Password</h6>
                <span class="span-password">*********</span>
                <a href="javascript: editsection('password');">Change</a>
            </div>
            <div id="passwordContent">
                <div class="wrapper">
                    <div id="wrapper-title">
                        <span>
                            Change password
                        </span>
                    </div>
                    @Html.Partial("_ChangePassword", Model.ChangePassword)
                </div>
            </div>
        </div>

    </div>
</div>

@section Scripts
{
    <script>
        function editsection(name) {
            if (name == 'username') {
                $("#usernameDisplay").hide("slow");
                $("#usernameContent").show("slow");
            }
            else if (name == 'password') {
                $("#passwordDisplay").hide("slow");
                $("#passwordContent").show("slow");

            }
            else if (name == 'usernameCancel') {
                $("#usernameDisplay").show("slow");
                $("#usernameContent").hide("slow");
                $(".form-control").val("");
                $(".field-validation-error").html("");
                
            }
            else if (name == 'passwordCancel') {
                $("#passwordDisplay").show("slow");
                $("#passwordContent").hide("slow");
                $(".form-control").val("");
                $(".field-validation-error").html("");
            }
        }

        function changePasswordSuccess(data) {

            if (data.statusPassword) {
                $("#passwordContent").hide("slow");
                $("#passwordDisplay").show("slow");
                toastr.success("You have successfully updated your password.");
                $(".form-control").val("");
                $(".field-validation-error").html("");
                unblockUI();
            }
            else {
                unblockUI();
                $("#resultTarget").html(data);
            }
        };

        $(document).ready(function () {

            $("#passwordContent").hide();
            $("#usernameContent").hide();

        });

        var ChangeEmailOptions = {
            message: "For security reasons we will automatically log you out of your portal after you change your email.",
            title: 'Notification',
            size: eModal.size.xl,
            subtitle: 'smaller text header',
            label: "Ok"   // use the positive label as key

        };
        function ChangeEmail() {
            
            var form = $("#FormChangeEmail");
            var formData = form.serialize();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/ChangeEmailValidation",
                cache: false,
                success: function (data) {
                    if (data.status) {
                        eModal.confirm(ChangeEmailOptions).then(callback, function () { return false; });
                    }
                    else { $("#resultTargetEmail").html(data); }
                },
                error: function (req) {
                    unblockUI();
                }
            });

            function callback() {
                blockUI();
                form.ajaxSubmit({
                    type: "POST",
                    data: form.serialize(),
                    url: form.attr('action'),
                    success: function (data) {
                        unblockUI();
                        if (data.status) {
                            
                                location.href = "/Login";
                                location.reload();
                        }
                        else { $("#resultTargetEmail").html(data); }
                    },
                    error: function (req) {
                        unblockUI();
                        $("#resultTargetEmail").html(data);
                    }
                });
            };

            return false;
        }

        function ChangePassword() {

            var form = $("#FormChangePassword");
            var formData = form.serialize();
            blockUI();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/ChangePassword",
                cache: false,
                success: function (data) {
                    changePasswordSuccess(data);
                },
                error: function (req) {
                    unblockUI();
                    $("#resultTargetEmail").html(data);
                   
                }
            });
        }
    </script>
}